- include_role:
    name: commons
    tasks_from: helpers/imagestream.yaml
  vars:
    is_name: percona
  when:
  - k8s_flavor == 'openshift'
- include_role:
    name: commons
    tasks_from: helpers/buildconfig.yaml
  vars:
    bc_basename: percona
    bc_cpu_limit: 300m
    bc_cpu_request: 200m
    bc_forcepull: "false"
    bc_memory_limit: 768Mi
    bc_memory_request: 512Mi
    bc_ref: "{{ percona_tag }}"
    bc_secret: "{{ percona_clone_secret | default(False) }}"
    bc_source: "{{ percona_image_source }}"
    bc_toimage: percona
    bc_tokind: ImageStreamTag
    bc_type: Docker
    bc_wait_complete: True
- include_role:
    name: commons
    tasks_from: exporters/mysql.yaml
  when:
  - do_exporters
